Welcome to the PiMP Mining Community Forum.


Coin/crypto news, miner.farm and getpimp.org announcements, guides, and tips.


Z-Enemy error on PiMP 2.8.6 (won't start)



  • I am trying to mine x16r on a NVidia rig, and get the following error when attempting to start Z-Enemy:
    [/root]:# pimp --debug 1
    Starting miner ID 1 without screen for debugging.
    For normal operation, stop the miner using Control+C,
    then start it using 'pimp --start 1' or the minerfarm agent console.
    Executing: /opt/miners/zenemy/z-enemy -o stratum+tcp://x16r.usa.nicehash.com:3366 -u 1CsXpu31hZFZxEJoYTwYsy3vcrWMmDydKR -p x -a x16r --api-remote --devices 0,1,2,3
    /opt/miners/zenemy/z-enemy: /usr/lib/x86_64-linux-gnu/libcurl.so.4: version `CURL_OPENSSL_3' not found (required by /opt/miners/zenemy/z-enemy)

    Any ideas? I upgraded from 2.5 since I got a different error on that version (had to do with the CUDA version).


  • Staff

    Simply run pimpup and update z-enemy to the latest version and you should be good to go. Thanks, bryan!



  • Done. Same behavior.


  • Staff

    Can you show the output of: ll /opt/miners/zenemy | pastebinit
    If you do not see libcurl.so.4 then run pimpup of the zenemy miner again.



  • http://paste.ubuntu.com/p/q2p3MWt3J7/
    ...

    total 18744
    -rw-r--r-- 1 root root 452992 Jul 21 17:53 libcurl.so.4
    -rwxr-xr-x 1 pimp pimp 9455262 Oct 6 10:10 z-enemy
    -rw-r--r-- 1 root root 9280145 Oct 31 10:57 zenemy-v1.22-91.tgz


  • Staff

    I would say: use pimp --test 1 instead.

    Beyond that, Come into discord for live troubleshooting. We cannot reproduce this issue across any rigs or versions of pimp.


 



Want 10% more hash from your rigs?



We promise to keep your email safe and never spam you.



Copyright (c) 2012-2019 Portable Instant Mining Platform LLC. All rights Reserved.